update RDB$RELATION_FIELDS set
RDB$FIELD_SOURCE = 'INT_DOMEN',
RDB$NULL_FLAG = NULL
where (RDB$FIELD_NAME = 'ID_PENTAX') and
(RDB$RELATION_NAME = 'SOTRUDNIK')
;

update RDB$RELATION_FIELDS set
RDB$FIELD_SOURCE = 'INT_DOMEN',
RDB$NULL_FLAG = NULL
where (RDB$FIELD_NAME = 'ID_PENTAX') and
(RDB$RELATION_NAME = 'SOTRUDNIK_LOG')
;

update RDB$RELATION_FIELDS set
RDB$NULL_FLAG = NULL
where (RDB$FIELD_NAME = 'REPFIO') and
(RDB$RELATION_NAME = 'SOTRUDNIK')
;

update RDB$RELATION_FIELDS set
RDB$NULL_FLAG = NULL
where (RDB$FIELD_NAME = 'REPFIO') and
(RDB$RELATION_NAME = 'SOTRUDNIK_LOG')
;
SET TERM ^ ;

/* Trigger: SOTRUDNIK_AU1 */
CREATE TRIGGER SOTRUDNIK_AU1 FOR SOTRUDNIK
ACTIVE AFTER UPDATE POSITION 1
AS
declare variable v integer;
begin
if  (new.id_typeesv = 1) then v = 0;
      if (new.id_typeesv = 2) then v = 1 ;
      if (new.id_typeesv = 3) then v = 2 ;
      if (new.id_typeesv >3) then v = 0 ;

NEW.id_pentax = v;

end
^


/* Trigger: SOTRUDNIK_BI0 */
CREATE TRIGGER SOTRUDNIK_BI0 FOR SOTRUDNIK
ACTIVE BEFORE INSERT POSITION 1
AS
declare variable v integer;
begin
if  (new.id_typeesv = 1) then v = 0;
      if (new.id_typeesv = 2) then v = 1 ;
      if (new.id_typeesv = 3) then v = 2 ;
      if (new.id_typeesv >3) then v = 0 ;

NEW.id_pentax = v;

end
^


SET TERM ; ^



